/* added since the Amiga version will not compile with SAS/C V6.51,
   "ndir.h" couldn't be found.
   On the other hand, some defines had been missing, so placing
   the appropriate includes here was the best solution.

   - AK, 28.3.95
 */

#ifndef NDIR_DUMMY
#define NDIR_DUMMY

#include <dos.h>
#include <sys/dir.h>

#ifndef _FILE_
#include <sys/file.h>
#endif /* _FILE_ */

struct direct
{
 struct dirent x;
};

#define	S_IFCHR		0020000

#define	S_ISUID		0004000  /* SAS/C misses these */
#define	S_ISGID		0002000
#define	S_ISVTX		0001000


 /* unimplemented signals yet... */

#include <signal.h>

#define SIGPIPE SIG_MAX

#endif /* NDIR_DUMMY */
